MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028719Community[OCCT] OCCT:Meshpublic2017-05-07 16:562018-12-03 10:38
ReporterVico Liang 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0028719: Mesh - Display issue for special model
Descriptionmodel display_issue.brep have display issue. There are severial white grids area which should not be there for a valid model.
Steps To Reproducebugs mesh bug28719
TagsNo tags attached.
Test case numberbugs mesh bug28719
Attached Files? file icon display_issue.brep (9,632,121 bytes) 2017-05-07 16:56
jpg file icon display_issue.jpg (76,991 bytes) 2017-05-07 16:59

- Relationships

-  Notes
(0065791)
Vico Liang (developer)
2017-05-07 17:01

It might be meshing algorithm issue, i'm not sure though.
(0065792)
kgv (developer)
2017-05-07 17:48
edited on: 2017-05-07 17:50

This is not grid area - these are isolines drawn in place of Faces without triangulation.
Thus, most likely BRepMesh has failed on them.

I bet you get this model using some BOP producing very narrow faces in some places?

(0065793)
Vico Liang (developer)
2017-05-08 04:58

Dear kgv,
You're right. This model has narrow faces which is produced by BOP. I ever see this issue when importing model from STEP/IGES generated by other CAD software.
(0070041)
apv (tester)
2017-08-29 13:05

Problem described in issue is reproduced on current state of OCCT.
(0080660)
oan (developer)
2018-11-02 18:30

Please check on current master.
(0080767)
nbv (developer)
2018-11-06 16:26

The problem is still actual.

The test case "bugs mesh bug28719" has already been created.
(0081120)
git (administrator)
2018-11-16 14:05

Branch CR28719 has been created by oan.

SHA-1: 38fc1e3c621e4230b241c0a79a209998f0266b44


Detailed log of new commits:

Author: oan
Date: Fri Nov 16 14:03:51 2018 +0300

    0028719: Mesh - Display issue for special model
    
    Clean existing triangulation before meshing.
(0081121)
oan (developer)
2018-11-16 14:08

Actually, no, it is not actual for current master.
Test case "bugs mesh bug28719" does not clean existing triangulation before display, so BRepMesh functionality is not called properly.

Test case has been updated.

Please review and close.
(0081125)
oan (developer)
2018-11-16 15:35

Test resuls:

http://occt-tests/CR28719-master-OAN-OCCT/Debian80-64/summary.html [^]
http://occt-tests/CR28719-master-OAN-OCCT/Windows-64-VC14/diff_summary.html [^]
(0081308)
msv (developer)
2018-11-30 13:50

Reviewed.
(0081309)
apn (administrator)
2018-11-30 14:18

bugs mesh bug28719 - OK
(0081335)
git (administrator)
2018-12-03 10:38

Branch CR28719 has been deleted by inv.

SHA-1: 38fc1e3c621e4230b241c0a79a209998f0266b44

- Related Changesets
occt: master 87036bbb
Timestamp: 2018-11-16 11:03:51
Author: oan
Committer: apn
Details ] Diff ]
0028719: Mesh - Display issue for special model

Clean existing triangulation before meshing.
mod - tests/bugs/mesh/bug28719 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-07 16:56 Vico Liang New Issue
2017-05-07 16:56 Vico Liang Assigned To => kgv
2017-05-07 16:56 Vico Liang File Added: display_issue.brep
2017-05-07 16:59 Vico Liang File Added: display_issue.jpg
2017-05-07 17:01 Vico Liang Note Added: 0065791
2017-05-07 17:48 kgv Note Added: 0065792
2017-05-07 17:48 kgv Note Edited: 0065792 View Revisions
2017-05-07 17:49 kgv Note Edited: 0065792 View Revisions
2017-05-07 17:49 kgv Assigned To kgv => msv
2017-05-07 17:49 kgv Category OCCT:Visualization => OCCT:Mesh
2017-05-07 17:50 kgv Note Edited: 0065792 View Revisions
2017-05-08 04:58 Vico Liang Note Added: 0065793
2017-07-20 12:43 oan Target Version 7.2.0 => 7.3.0
2017-08-29 13:05 apv Test case number => bugs mesh bug28719
2017-08-29 13:05 apv Note Added: 0070041
2017-08-29 13:36 kgv Summary Display issue for special model => Mesh - Display issue for special model
2018-02-25 21:14 abv Target Version 7.3.0 => 7.4.0*
2018-11-02 18:30 oan Note Added: 0080660
2018-11-02 18:30 oan Assigned To msv => bugmaster
2018-11-02 18:30 oan Status new => feedback
2018-11-06 16:26 nbv Note Added: 0080767
2018-11-06 16:27 nbv Assigned To bugmaster => msv
2018-11-06 16:57 msv Assigned To msv => oan
2018-11-06 16:57 msv Status feedback => assigned
2018-11-16 14:05 git Note Added: 0081120
2018-11-16 14:08 oan Note Added: 0081121
2018-11-16 14:08 oan Assigned To oan => msv
2018-11-16 14:08 oan Status assigned => resolved
2018-11-16 14:08 oan Steps to Reproduce Updated View Revisions
2018-11-16 15:35 oan Note Added: 0081125
2018-11-30 11:56 oan Assigned To msv => pdn
2018-11-30 13:50 msv Note Added: 0081308
2018-11-30 13:50 msv Assigned To pdn => bugmaster
2018-11-30 13:50 msv Status resolved => reviewed
2018-11-30 14:18 apn Note Added: 0081309
2018-11-30 14:18 apn Status reviewed => tested
2018-12-02 14:48 apn Changeset attached => occt master 87036bbb
2018-12-02 14:48 apn Assigned To bugmaster => apn
2018-12-02 14:48 apn Status tested => verified
2018-12-02 14:48 apn Resolution open => fixed
2018-12-03 10:38 git Note Added: 0081335


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker